What Are the FrontPage Server Extensions?

The FrontPage Server Extensions are a set of three programs whose routines perform a range of useful tasks for those who manage, create, and view . Without the server extensions, some of these tasks either could not be done or could not be done as easily.

You can easily install the server extensions on all popular operating systems — including Microsoft Windows NT Server, Digital UNIX, and SunOS — which allows for cross-platform Web server compatibility. The server extensions also support most popular Web servers, including Microsoft Internet Information Services (IIS), Netscape, and WebSite, as well as freeware and shareware Web servers such as those from Stronghold and NCSA.

You do not administer the FrontPage Server Extensions directly. Rather, you use one of several tools, whose functionality overlaps, to work with them. One of those tools is the FrontPage MMC Snap-in.

For more detailed information about the FrontPage Server Extensions, see the FrontPage Server Extensions Resource Kit at http://www.microsoft.com/frontpage/wpp/serk. If the FrontPage Server Extensions are installed on your computer, you can also access the FrontPage Server Extensions Resource Kit, which is by default installed at C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\Serk\nnnn\default.htm. The \nnnn folder has a numerical name based on the language in which you installed the FrontPage Server Extensions. For example, in a US English installation, the path is C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\Serk\1033\default.htm.


The Advantages of Using the FrontPage Server Extensions

The FrontPage Server Extensions make it easy for Web authors to include sophisticated functionality in their Web sites and for Web administrators to support that functionality. The server extensions:

  • Enable authors to collaborate on creating and maintaining a , edit a Web site directly on the server computer (saving downloading time), and add functions to their Web sites easily, without doing any programming.
  • Support hit counters, full-text searches, e-mail form-handling, and other functions that an author can add to a Web site by using FrontPage. You don't have to download, buy, or install a separate -compatible program to enable each function to work.
  • Work on a number of popular server platforms, such as Windows NT and UNIX, as well as on a number of popular Web servers, such as Microsoft Internet Information Services (IIS), WebSite, and Netscape.
  • Automatically update hyperlinks after a page in a Web site is moved, deleted, or renamed (only the page's file name, rather than the entire file, needs to be transmitted to the Web server).
  • Support integration with Microsoft Office, Visual SourceSafe, and Index Server.


About the FrontPage MMC Snap-in

The FrontPage MMC snap-in is a Windows-only program that you use to administer the FrontPage Server Extensions and . You can use it to , create , upgrade the server extensions on a web, convert folders into subwebs and vice versa, recalculate hyperlinks in a , and much more.

The FrontPage MMC snap-in "snaps into" the Microsoft Management Console (MMC), which means that commands, property sheets, and other tools that you require to administer the FrontPage Server Extensions are added to the MMC "shell." What's more, the FrontPage MMC snap-in tools look and work like other tools in the .

If Microsoft Internet Information Services (IIS) 4.0 or later is installed on a computer, the FrontPage MMC snap-in "snaps into" the IIS Internet Service Manager snap-in; that is, it adds its functionality to the IIS snap-in. If a Web server other than IIS 4.0 or later is installed, the FrontPage MMC snap-in adds its functionality directly to the console and is called the Server Extensions Administrator. All of the tools you need to manage a are in one convenient location.

The FrontPage MMC snap-in replaces and significantly improves upon the Fpsrvwin utility, an administrative program that was included with previous versions of FrontPage. You can use the FrontPage MMC snap-in to perform most of the administrative tasks that you can perform by using the Fpsrvadm and Fpremadm utilities, as well as some additional tasks.

For information about how to use Fpsrvadm and Fpremadm to administer the FrontPage Server Extensions, see the FrontPage Server Extensions Resource Kit at http://www.microsoft.com/frontpage/wpp/serk. If the FrontPage Server Extensions are installed on your computer, you can also access the FrontPage Server Extensions Resource Kit, which is by default installed at C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\Serk\nnnn\default.htm. The \nnnn folder has a numerical name based on the language in which you installed the FrontPage Server Extensions. For example, in a US English installation, the path is C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\Serk\1033\default.htm.


The FrontPage MMC Snap-in Replaces the FPsrvwin.exe Utility: Discover the Differences

The FrontPage MMC Snap-in Replaces the Fpsrvwin Utility: Discover the Differences

If you used earlier versions of the FrontPage Server Extensions, you may have used the Fpsrvwin utility to administer them. Fpsrvwin was a utility used to perform administrative tasks such as installing, checking and fixing, and removing the server extensions from a Web server.

The FrontPage MMC snap-in provides the most frequently used functions of Fpsrvwin, plus you can:

  • Set web properties, such as performance, e-mail options, scripting permissions, and authoring logs.
  • Create .
  • Add an administrator.
  • Convert folders to subwebs, and vice versa.
  • Delete subwebs.
  • Open a in FrontPage (if FrontPage is installed on the same computer as the web).
  • Specify a default .
  • Log authoring actions.
  • Recalculate hyperlinks.


Other Tools You Can Use to Administer the FrontPage Server Extensions

The FrontPage MMC snap-in is a program with a graphical interface that you can use to easily administer the FrontPage Server Extensions. It replaces and significantly improves upon the Fpsrvwin utility, which was an administrative program with a graphical interface that was included with previous versions of FrontPage. However, the FrontPage MMC snap-in runs only on Windows operating systems, and you cannot use it to administer the server extensions from a .

But the FrontPage MMC snap-in is only one of several tools available for administering the FrontPage Server Extensions. Three other tools, while providing almost the same functionality as the FrontPage MMC snap-in, can operate in environments where the snap-in can't:

  • The Fpsrvadm utility is a command-line program that you can use on both Windows NT and various UNIX operating systems. You can use this utility to perform . Fpsrvadm is installed when you install the FrontPage Server Extensions. You cannot use Fpsrvadm to administer the server extensions from a remote computer.
  • The Fpremadm utility is a command-line program you use to administer the FrontPage Server Extensions from a remote computer. However, Fpremadm runs only on the Windows NT Workstation, Windows NT Server, and Windows 95/98 operating systems, not on UNIX operating systems such as Linux and SunOS. Fpremadm is installed when you install the FrontPage Server Extensions.
  • HTML Administration Forms are HTML forms that you can use to remotely administer the FrontPage Server Extensions from a Web browser.

For more information about these utilities, see the FrontPage Server Extensions Resource Kit at http://www.microsoft.com/frontpage/wpp/serk. If the FrontPage Server Extensions are installed on your computer, you can also access the FrontPage Server Extensions Resource Kit, which is by default installed at C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\Serk\nnnn\default.htm. The \nnnn folder has a numerical name based on the language in which you installed the FrontPage Server Extensions. For example, in a US English installation, the path is C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\Serk\1033\default.htm.


Administrative Tasks You Can Perform by Using the FrontPage MMC Snap-in

You can use the FrontPage MMC snap-in to perform the following tasks:

  • Install the FrontPage Server Extensions on a Web server.
  • a with the FrontPage Server Extensions.
  • Check and fix the FrontPage Server Extensions on a .
  • Upgrade the FrontPage Server Extensions on a web.
  • Remove the FrontPage Server Extensions from a web.
  • Delete a that you have extended with the FrontPage Server Extensions.
  • Convert a subweb into a folder, and vice versa.
  • Recalculate all hyperlinks in a web.
  • Add an administrator.
  • Enable or disable authoring on a web.
  • Tune .
  • Log authoring operations.
  • Require for authoring.
  • Specify that a folder can contain executable or programs.
  • Enable .
  • Set e-mail options.

You cannot perform the following tasks by using the FrontPage MMC snap-in:

  • Administer the FrontPage Server Extensions from a (use the Fpremadm utility instead).
  • Perform (use the Fpsrvadm utility instead).


Where to Find the FrontPage MMC Snap-in Components You Need to Administer the FrontPage Server Extensions

Which FrontPage MMC snap-in menu, command, dialog box, or other component do you need to perform your task, and where do you find that component?

There are three main components that you use to administer the FrontPage Server Extensions:

  • The New menu, from which you can select commands to create a new , add a new administrator, and so on, depending on the item you have selected in the .
  • The Task menu, from which you can select commands to check and fix, remove, and upgrade the FrontPage Server Extensions, as well as perform other tasks. Again, the item you've selected in the console tree determines which commands appear on the Task submenu.
  • The Server Extensions tab allows you to modify the settings of the FrontPage Server Extensions, such as e-mail options and security settings.

The following table lists the administrative tasks you can perform by using the FrontPage MMC snap-in, the tool you use for each task, and the location of that tool. The terms in parentheses appear only if the Web server is Microsoft Internet Information Services (IIS) 4.0 or later.

Task | Tool and location
Extend a virtual server with the server extensions (IIS 4.0 or later) | Shortcut menu > Task > Configure Server Extensions
Extend a virtual server with the server extensions (non-IIS and IIS 3.0) | Shortcut menu > New > Web
Create a subweb | Shortcut menu > New > (Server Extensions) Web
Add an administrator | Shortcut menu > New > (Server Extensions Web) Administrator
Check and fix the server extensions on a web or subweb | Shortcut menu > Task > Check Server Extensions
Upgrade the server extensions on a web | Shortcut menu > Task > Upgrade Server Extensions
Remove the server extensions from a root web and its subwebs | Shortcut menu > Task > Remove Server Extensions
Recalculate all hyperlinks in a web | Shortcut menu > Task > Recalculate Web
Delete a subweb | Shortcut menu > Task > Delete Server Extensions Web
Convert a folder into a subweb | Shortcut menu > Task > Convert Directory to Server Extensions Web
Convert a subweb into a folder | Shortcut menu > Task > Convert Server Extensions Web to Directory
Enable or disable authoring | Shortcut menu > Properties > Server Extensions tab > Enable authoring check box
Enable source control | Shortcut menu > Properties > Server Extensions tab > Version control box
Tune web performance | Shortcut menu > Properties > Server Extensions tab > Performance box
Specify which scripting language is generated by default | Shortcut menu > Properties > Server Extensions tab > Client scripting box
Set e-mail options | Shortcut menu > Properties > Server Extensions tab > Settings
Apply a parent web's security settings to a subweb | Shortcut menu > Properties > Server Extensions tab > Inherit security settings check box
Log authoring actions | Shortcut menu > Properties > Server Extensions tab > Log authoring actions check box
Set permissions manually | Shortcut menu > Properties > Server Extensions tab > Manage permissions manually check box
Require Secure Sockets Layer (SSL) for authoring | Shortcut menu > Properties > Server Extensions tab > Require SSL for authoring check box
Specify that a folder can or cannot contain executable scripts or programs | Shortcut menu > Properties > Server Extensions tab > Allow authors to upload executables check box


The Permissions Model in FrontPage

To help you manage access to on a Web server, FrontPage provides you with a simple role-based model and useful administrative tools for setting permissions. The role-based model simply says that the permissions you give a user depend on that user's role (a user can be a person, group, or computer).

For each on a Web server, you can set permissions for users in the following three roles:

  • visitors, to whom you give browsing permission, which is permission to view and use a FrontPage-extended web after it has been published on a Web server.
  • Authors, to whom you give authoring permission, which is permission to open a FrontPage-extended web and modify its content.
  • Administrators, to whom you give administering permission, which is permission to add, upgrade, or remove the FrontPage Server Extensions from a FrontPage-extended web, create and delete , log authoring operations, set permissions for other users, and perform other administrative tasks.

FrontPage-extended web permissions are hierarchical: A user with administrative permissions has authoring and browsing permissions. A user with authoring permissions has browsing permissions.

By default, the permissions you set for a web are inherited by all the subwebs below it. You can, however, set unique permissions for a subweb that override the permissions it inherited from its parent web. That way, you can specify different levels of access to each subweb for each user or group. For example, you can give the same user authoring permissions for one subweb but only browsing permissions for another.

For which users can you set permissions? The answer depends on the Web server you are working with. Microsoft Internet Information Services (IIS) supplies user accounts from the Windows NT account list. You can set permissions only for users on this list; you cannot create new user accounts. For other Web servers, however, the list of users is maintained by the Web server and you can create new user accounts.

You can set permissions for a web in FrontPage by using the FrontPage Server Extensions utilities, such as Fpsrvadm, as well as the Permissions command on the Tools menu.


How the FrontPage MMC Snap-in Works with Different Web Servers

If you work with both Microsoft Internet Information Services (IIS) and other Web servers — such as WebSite or Netscape — you may be aware that the FrontPage MMC snap-in works differently with IIS 4.0 or later than it does with the other Web servers, including IIS 3.0.

IIS 4.0 or later has a snap-in that snaps into the Microsoft Management Console (MMC). The FrontPage MMC snap-in is constructed so that it snaps into the snap-in of IIS 4.0 or later. So if IIS 4.0 or later is installed on a computer, then the FrontPage snap-in functionality will be fully integrated with that of IIS.

If you have worked with the IIS MMC snap-in before, you may notice that some commands have been added to the Action and shortcut menus, and a Server Extensions property page has been added to the Properties sheet. The FrontPage MMC snap-in has added this new functionality. If there is overlapping functionality, the IIS command appears, not the FrontPage snap-in command. In the , IIS lists all IIS , both as well as other Web sites.

If the FrontPage MMC snap-in is installed with a Web server other than IIS 4.0 or later, then its functionality will not be integrated with that of the Web server's; in fact, the Web server might not even have an MMC snap-in that adds its functionality to the console. In such a case, the console tree lists only FrontPage-extended webs; it does not list all of the Web sites that are on the computer.

Sometimes, both IIS 4.0 or later and other Web servers are installed on the same computer. In that case, you will see a top-level item for each Web server, with its Web sites listed below it. When you select a that's on the IIS 4.0 or later Web server and then display the shortcut menu, you see the IIS snap-in commands along with the FrontPage snap-in commands. When you select a web that's on the non-IIS Web server and then display the shortcut menu, the commands for administering the FrontPage Server Extensions are contributed by the FrontPage MMC snap-in only.


Extend a Virtual Server with the FrontPage Server Extensions

After you have created a , you can it with the FrontPage Server Extensions, which make the virtual server a . Before you can extend a virtual server, the server extensions need to have already been installed on the server computer.

To extend a virtual server with the FrontPage Server Extensions

  1. In the , right-click the virtual server that you want to extend.
  2. Click Task on the shortcut menu, and then click Configure Server Extensions.

If the Web server is not IIS 4.0 or later, click New on the shortcut menu, and then click Web.

  3. Follow the steps in the Server Extensions Configuration Wizard.

Note

You need to extend a virtual server — that is, make it a root web — before you can create below it.


Create a Subweb

A subweb is a folder of the or another subweb that is a complete . It is a logical division of the content of an entire .

A subweb enables you to specify separate administering, authoring, and browsing , break web content into logical subdivisions to improve performance, apply a different look to the pages of each subweb, and manage hyperlinks easily.

You can create a subweb only on a root web or subweb or on a folder below the root web or subweb. When you create a subweb, you it with the FrontPage Server Extensions at the same time. The system automatically creates a folder for the subweb.

To create a subweb and extend it with the FrontPage Server Extensions

  1. In the , right-click the (or folder) below which you want to create a subweb.
  2. Click New on the shortcut menu, and then click Server Extensions Web.

If the Web server is not IIS 4.0 or later, click New on the shortcut menu, and then click Web.

  3. Follow the steps in the New Subweb Wizard.


Add an Administrator

If you forget your password or want another person to be able to administer a web, you can add an administrator.

To add an administrator

  1. In the , right-click the to which you want to add an administrator.
  2. Click New on the shortcut menu, and then click Server Extensions Administrator.

If the Web server is not IIS 4.0 or later, click New on the shortcut menu, and then click Administrator.

  3. In the Username box, enter a Windows NT account to add to the web as an administrator.

If the Web server is not IIS 4.0 or later, enter a user name in the Username box and the same password in both the Password and Confirm password boxes.


Remove the FrontPage Server Extensions from a Root Web and Its Subwebs

At times, you or the author of a may decide that it's no longer necessary for a web to include the FrontPage Server Extensions. In that case, you can remove the server extensions from the , which removes the server extensions from all below it.

When you remove the server extensions, any functions in the web that are supported by the FrontPage Server Extensions, such as hit counters and e-mail form handlers, will no longer work. The web content remains. Only the server extensions are removed.

To remove the server extensions from a root web and its subwebs

  1. In the , right-click the root web from which you want to remove the server extensions.
  2. Click Task on the shortcut menu, and then click Remove Server Extensions.

By default, files that contain information about the web's structure, themes, and so on are not deleted, so that you can recreate the web exactly as it is if you decide to extend it again at a later date. If, however, you will never need the FrontPage Sever Extensions on this web again, then clear the Don't delete files needed to reinstall the extensions check box.

  3. Click OK.


Check and Fix the FrontPage Server Extensions on a Web or Subweb

Occasionally, an author of a might not be able to upload web content, modify the web directly on the server computer, or perform other authoring functions that are supported by the FrontPage Server Extensions. The cause of the problem can range from accidentally deleting or renaming essential files to corrupting . To fix many authoring-time problems, you can use the Check Server Extensions command, which:

  • Checks read .
  • Checks that Service.cnf and Service.lck are read/write.
  • Updates Postinfo.html and _vti_inf.htm.
  • Verifies that _vti_pvt, _vti_log, and _vti_bin are installed, and that _vti_bin is executable.
  • Determines whether roots or metabase settings are correct and up to date.
  • Checks that the IUSR anonymous account doesn't have write access.
  • Warns you if you are running on a FAT file system, which means that you cannot supply any web security whatsoever (if you are running IIS).

To check and fix FrontPage Server Extensions

  1. In the , right-click the web for which you want to check and fix the server extensions.

This web will be checked and fixed, as well as all below it.

  2. Click Task on the shortcut menu, and then click Check Server Extensions.

The Check Web window displays a status log for each web that is checked.


Upgrade the FrontPage Server Extensions on a Web

From time to time, a new version of the FrontPage Server Extensions becomes available. The new version provides enhanced support for web authors and administrators, or fixes to the existing support features, as well as support for all existing functions in FrontPage, such as hit counters.

To take advantage of this new support, you must first install the latest version of the server extensions on the server computer, and then upgrade a to this version. You can upgrade the server extensions on only, but upgrading a root web will upgrade all below it.

To upgrade to the latest version of the FrontPage Server Extensions

  1. In the , right-click the root web for which you want to upgrade the server extensions.
  2. Click Task on the shortcut menu, and then click Upgrade Extensions.

Notes

The Upgrade Extensions command is only displayed if there is a newer version of the server extensions available.

To upgrade the FrontPage Server Extensions for all root webs on a computer, right-click My Computer in the console tree.


Delete a FrontPage-Extended Web

Delete a FrontPage-Extended Subweb

A may become out of date, seldom used, or, for whatever reason, no longer useful. For example, a project whose information was published on a company intranet has ended or been reorganized. Or, a subscriber who posted a to an Internet service provider's Web server has discontinued service. In these cases and others, you may need to delete the subweb.

When you delete a subweb, you delete all of its contents, files, folders, and nested subwebs, as well as remove its FrontPage Server Extensions. You cannot undelete a subweb.

To delete a subweb

  1. In the , right-click the subweb you want to delete.
  2. Click Task on the shortcut menu, and then click Delete Server Extensions Web.
  3. Click OK.

Note

If you do not have permission to delete a subweb that is nested below the subweb you are deleting, the nested subweb will not be deleted.


Convert a Folder in a Web into a Subweb

If you decide that a folder contains enough web content (such as Web pages and graphics) to be its own , then you can easily convert that folder into a . In effect, this is one way to create a .

To convert a folder into a subweb

  1. In the , right-click the folder that you want to convert into a FrontPage-extended subweb.
  2. Click Task on the shortcut menu, and then click Configure Server Extensions.

If the Web server is not IIS 4.0 or later, click Tasks on the shortcut menu, and then click Convert Directory to Web.


Convert a Subweb into a Folder

Occasionally, you may decide that a is no longer necessary, but you still want to keep its content. In that case, you can convert a into a folder of its . When you convert a subweb into a folder, the FrontPage Server Extensions are removed from the subweb, the subweb is converted into a regular folder of the parent web, and any subwebs nested below the converted subweb are linked to appropriate parent webs.

The subwebs below the converted subweb may acquire different themes and settings. If there are no subwebs below the converted subweb, the pages within the converted subweb may lose some web properties.

To convert a subweb into a folder

  1. In the , right-click the FrontPage-extended subweb that you want to convert into a folder.
  2. Click Task on the shortcut menu, and then click Convert Server Extensions Web to Directory.

If the Web server is not IIS 4.0 or later, click Tasks on the shortcut menu, and then click Convert Web to Directory.


Open a Web by Using FrontPage

As an administrator, you may sometimes need to change the theme, text, graphics, or other content of a or . If FrontPage is installed on the same server computer as a or subweb, then you can open the web directly from the and change its content or perform other actions in FrontPage. Otherwise, you cannot open a web from the console.

To open a web by using FrontPage

  1. In the , right-click the web you want to open in FrontPage.
  2. Click Task on the shortcut menu, and then click Open With FrontPage.
  3. In FrontPage, modify the web content and save your changes.

Note

If FrontPage is not installed on the server computer, then the Open With FrontPage command does not appear.


Recalculate All Hyperlinks in a Web

Any changes that are made to the structure of a can change the links between different parts of that web. For example, if a page is added, renamed, or moved from one folder to another, then the hyperlinks to that page from every other page and document in the web will need to updated, or recalculated, to re-establish logical links. FrontPage automatically recalculates hyperlinks. However, if you want to "force" a recalculation, you can do so.

To recalculate all hyperlinks in a web

  1. In the , right-click the web whose hyperlinks you want to recalculate.
  2. Click Task on the shortcut menu, and then click the Recalculate Web tab.


Specify Which Scripting Language Is Generated by Default

In response to certain authoring actions, the FrontPage Server Extensions will generate client-side scripts. By default, the server extensions generate these scripts in the JavaScript . JavaScript is recognized by the two most popular Web browsers, Netscape Navigator and Microsoft Internet Explorer, among others. You can also choose to generate scripts in VBScript, which is not recognized by Netscape Navigator; however, VBScript may be your choice if, for example, you are administering a company intranet that works exclusively with Internet Explorer, or VBScript is the scripting language of choice among your company's technical personnel.

To specify which scripting language is generated by default

  1. In the , right-click the for which you want to specify the scripting language that is generated by default.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. In the Client scripting box, select a scripting language.


Set Permissions Manually

The role-based that you can set and manage on each for administrators, authors, and visitors by using FrontPage may not always meet your needs. For example, you may want to set permissions on files and folders. You can manually set custom permissions by setting permissions directly on the . For more information about setting custom permissions, see the FrontPage Server Extensions Resource Kit at http://www.microsoft.com/frontpage/wpp/serk.

If you use FrontPage to manage permissions, however, it will change any custom permissions you set by resetting the ACLs. To make sure that neither you nor anyone else accidentally overwrites custom permissions, you can disable permissions in FrontPage.

To set permissions manually

  1. In the , right-click the for which you want to set permissions manually.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. Make sure that the Manage permissions manually check box is selected.


Enable Or Disable Authoring on a Web

Enable or Disable Authoring on a Root Web and Its Subwebs

that are being built or that require frequent updating need to be accessible to their authors. But some webs, after they are finished, can contain essential or permanent information that should remain unchanged. Or, you may want to prevent others from modifying a web while you are moving it to a new location or making other changes. To protect the information in a web, you can disable authoring on it, which means that users can neither add to nor change web content.

To enable or disable authoring on a root web and its subwebs

  1. In the , right-click the root web for which you want to enable or disable authoring.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. To enable authoring, make sure that the Enable authoring check box is selected.

To disable authoring, make sure that the Enable authoring check box is cleared.


Specify That a Folder Can or Cannot Contain Executable Scripts or Programs

Specify That Folders Can or Cannot Contain Executable Scripts or Programs

When a web author wants to include a or active server page in a , how can you be sure that the author is not inadvertently uploading a buggy program or — worse — a virus onto your Web server? You can avoid the risks associated with bugs and viruses by preventing an author from uploading scripts and programs to any folder that is part of a .

To specify that folders can or cannot contain executable scripts or programs

  1. In the , right-click the for which you want to make folders executable.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. Make sure that the Allow authors to upload executables check box is selected.


Log Authoring Actions

Users with permission to modify the content of a can change text, graphics, links, structure, and so on. To keep track of who made changes to a web and which files were changed, you can log authoring actions in a and all its . Then the system records the time an author's action was performed, the author's user name, the web name, the remote host, and per-operation data, and stores this information in a log file named _vti_log/Author.log, in the root web. If there were a security breach, you could analyze this log file to determine what authoring activity occurred on the web.

To log authoring actions

  1. In the , right-click the root web for which you want to log authoring actions.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. Make sure that the Log authoring actions check box is selected.


Require Secure Sockets Layer (SSL) for Authoring

Web information is most vulnerable to interception while it is "in the pipe" — that is, en route from one part of the to another. You can substantially harden the pipe against would-be eavesdroppers by requiring the standard for transmitting information between FrontPage, Web browsers, and Web servers.

To require SSL for authoring

  1. In the , right-click the for which you want to require the use of SSL.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. Make sure that the Require SSL for authoring check box is selected.

Note

If you require SSL for authoring, then authors who try to work on the web will get a message saying that they are required to use SSL, which they can choose in FrontPage.


Tune Web Performance

The speed with which a responds to requests from a FrontPage client depends a lot on the web's size, particularly the number of pages and other files it contains. You can improve a web's response time by "tuning" it. When you tune a web, the FrontPage Server Extensions set aside a certain amount of cache for the web, based on the number of web pages. For example, you can tune a web for less than 100 pages or more than 1,000. You can also customize cache size and full-text search index size.

To tune web performance

  1. In the , right-click the web whose performance you want to tune.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. In the Performance box, select the page range that's closest to the actual number of pages in the web you are tuning.
  4. To custom-tune the web, click Use custom settings, and then enter the cache and full-text search index sizes you want.


Enable Source Control

When a number of people are modifying web content, you can use source control to see who is currently modifying a particular web document, identify any changes, prevent one author's changes from erasing another's, and revert to a previous version of a document, if necessary. To provide source control for a specific , you can choose the built-in source control or use an external source control program that supports FrontPage, such as Microsoft Visual SourceSafe.

Built-in source control is included with the FrontPage Server Extensions. You can use it to check in and check out a web, and revert to the last saved version of a web. Visual SourceSafe and other source control programs need to be purchased separately and installed on your computer. Typically, external source control programs can do everything the built-in source control does, plus they can track changes and revert to any of several previous versions of a web.

To enable source control

  1. In the , right-click the web for which you want to enable source control.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. In the Version control box, select either Use external or Use built-in.

If you selected Use external, enter the name of the Visual SourceSafe or other project you would like to use.

Note

You can use Visual SourceSafe with FrontPage only if the Enable SourceSafe integration option is turned on in Visual SourceSafe. This is a custom installation option that you must select when you install Visual SourceSafe.


Set E-mail Options

Some features require that e-mail be sent to site visitors who browse a web. An example of such a feature is an e-mail form handler. To enable these features to send e-mail, you need to specify the Web server's mail address, a contact address, an SMTP host, a mail-encoding scheme, and a mail character set.

To set e-mail options

  1. In the , right-click the for which you want to set e-mail options.
  2. Click Properties on the shortcut menu, and then click the Server Extensions tab.
  3. In the Options box, click Settings.
  4. Enter the settings you want.


Support Online from Microsoft Technical Support

Get the latest answers to technical questions via the Internet

If you have a technical question and can’t find your answer in the Windows NT Help file, go to Support Online. Just select your product, type in your question and the site does the rest of the work for you. From technical articles in the Microsoft Knowledge Base, to Troubleshooting Wizards and downloadable files, Support Online gathers the specific resources most likely to help you find the answer to your question.

To begin your search, go to http://support.microsoft.com/support/.


E-mail Settings

In this dialog box, you specify how e-mail messages are sent from a web that includes e-mail-based features, such as a form handler.

Web server's mail address

Enter the e-mail address that you want to appear in the From line of e-mail messages sent by certain components in FrontPage, such as results forms.

Contact address

Enter the e-mail address that users should write to if they have problems. The address you enter will appear on error messages that are displayed for some problems encountered by users of FrontPage.

SMTP Mail server

Enter the name of the SMTP host that will route messages to or from the web.

Mail encoding

Click the mail-encoding scheme you want to use for your mail messages. The default is 8-bit encoding, which is the most commonly used scheme. You might change from one encoding scheme to another if you know that an e-mail recipient uses a different encoding scheme and cannot interpret your messages.

Character set

Click the name of the set of characters that you want used in e-mail messages. Each character set is the alphabet of a language.


Performance

In this dialog box, you specify an amount of cache for each type of information that is frequently used on a web. By specifying amounts of cache that are appropriate for the selected web, you can improve the web's response to user activities.

In-memory document cache

Enter the maximum number of documents whose property information, such as link maps and web parameters, you want to keep active in memory. This number represents the last <number you specify> documents you worked with. For example, if you specify 4096, then property information about the 4097th document will be released from memory.

Include file cache

Enter the number of files that you want to keep available in memory for inclusion in other files. For example, there might be header, footer, and copyright files that you want to include in some or all of a Web site's web pages.

Image file cache

Enter the number of image files in memory that the FrontPage Server Extensions can use to create layered pictures in web pages. For example, one file may consist of a background, another of a navigation button. The server extensions can compose a picture by adding the background to a web page and then overlaying the navigation button image. The picture can be composed faster if the component files are in a cache.

Full-text search index size

Enter the maximum amount of disk space that can be allotted for storing a full-text search index. After this amount is reached, no other pages on the Web site can be indexed (unless you increase this number).

Max cached document size

Enter the maximum size of a document that can be stored in memory. This size limit applies to include files, image files, and other files that may be stored in a cache.


Default Web Properties - Publishing Property Page

Default Web Site Properties - Server Extensions Property Page

On this property page, you set the publishing controls for a FrontPage-extended web.

Enable authoring (root web only)

Allows authors to use FrontPage to access and modify the content of the selected web. Clear the Enable authoring check box to prevent anyone from accessing and modifying the selected web.

Version control

Click the source control method you want to use to keep track of who is modifying web content, identify any changes, and prevent one author's changes from erasing another's. You can choose either the built-in source control or an external program such as Microsoft Visual SourceSafe, which supplies more source-control features.

Performance

Click the page range that's closest to the actual number of pages in the selected web. The FrontPage Server Extensions will set aside a certain amount of cache, based on the page range you select.

Client scripting

Click the scripting language, either JScript or VBScript, that should be generated in pages automatically by the FrontPage Server Extensions.

Specify how mail should be sent

Displays the E-mail Settings dialog box, in which you can specify how e-mail-based web features, such as e-mail form handlers, send e-mail to Web site visitors. You can use the dialog box to specify the Web server's e-mail address, contact e-mail address, mail server, mail encoding scheme, and character set.

Configure Office collaboration features

Displays the Office Server Extensions administration web pages, from which you can administer Office collaboration features, such as workgroup discussions. This option is unavailable if the Office Web Server (OWS) is not installed on your computer.

Don't inherit security settings

By default, each root web inherits the global security settings of the Web server. To override these settings for the selected root web (and all of its subwebs) select this checkbox. Clear this check box if you want the selected root web to inherit its security settings from the global Web server settings

Log authoring actions

Enables the system to record the time an author's action was performed, the author's user name, the web name, the remote host, and per-operation data, and store this information in a log file in _vti_log/Author.log, in the root web. Clear this check box if you do not want to log authoring actions.

Manage permissions manually

Disables the security-setting functions of FrontPage Server Extension administrative tools (such as the FrontPage MMC snap-in), so that those tools cannot be used to modify the security settings of the selected web. Clear this check box if you want to allow the security settings to be changed by using the FrontPage Server Extensions administrative tools.

Require Secure Sockets Layer (SSL) for authoring

Makes it possible for you to use SSL to authenticate prospective web authors. This is recommended if you are currently using only Basic Authentication, which only lightly encrypts information (such as an author's user name and password) transmitted across the Web. Clear this check box if you do not want to require SSL for authoring.

Allow authors to upload executables

Permits authors to upload CGI scripts or active server pages to the selected web. Clear this check box if you want to prevent executables from being uploaded to the web and avoid the risks associated with a possibly buggy script or virus that's uploaded on to your Web server.